<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Employes Loan</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Loan
    <small></small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Finance</li>
    <li class="active"> Loan</li>
  </ol>
</section>

<section layout:fragment="main" class="content">
  <div class="row">
    <div class="col-md-12">

      <div class="callout callout-success" th:if="${success != null}">
        <h4>Save Data Success!</h4>

        <p>Data Berhasil Disimpan.</p>
      </div>

      <div class="callout callout-success" th:if="${successimpor != null}">
        <h4>Impor Data Success!</h4>

        <p>Data Berhasil Diimpor.</p>
      </div>

      <div class="callout callout-success" th:if="${deleted != null}">
        <h4>Delete Data Success!</h4>

        <p>Data Berhasil Dihapus.</p>
      </div>

      <div class="callout callout-danger" th:if="${gagal != null}">
        <h4>Save Data Unsuccesfully!</h4>

        <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
      </div>

      <div class="box">
        <form method="get">
          <div class="box-header with-border">
            <div class="row">
              <div class="col-md-6">
                <h3 class="box-title">List of Employees Loan</h3>
              </div>
              <div class="col-md-6" align="right">
                Show entries <span sd:page-size-selector="javascript"></span>
              </div>
            </div>
          </div>

          <div class="box-header with-border">
            <div class="row">
              <div class="col-md-6">
                <a th:href="@{/finance/loan/new}" name="tambah" type="button" class="btn btn-default">+ New</a>
                <a th:href="@{/finance/loan/export(companies=${employess.getCompanies().getId()})}" class="btn btn-default" title="Add"><i class="ion-android-upload"></i> Export</a>
                <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modal-import-status">
                  <i class="ion-android-download"></i> Import
                </button>
              </div>




              <div class="col-md-6" align="right">
                <div class="input-group input-group-sm" style="width: 150px;">
                  <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                  <div class="input-group-btn">
                    <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </form>

        <div class="modal fade" id="modal-import-status">
          <div class="modal-dialog">
            <div class="modal-content">
              <form th:action="@{/finance/loan/import}" method="post" enctype="multipart/form-data">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title">Import Data Loan</h4>
                </div>
                <div class="modal-body">
                  <input type="file" th:name="file" />
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                  <input th:type="submit" value="Import" />
                </div>
              </form>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>

        <!-- /.box-header -->


        <div class="box-body table-responsive no-padding">
          <table class="table table-bordered">
            <tr>
              <th style="width: 10px">#</th>
              <th>Loan_Name</th>
              <th>Employee</th>
              <th>Loan_Ammount</th>
              <th>Installment</th>
              <th>Interest</th>
              <th>Effective Date</th>
              <th>Status</th>
              <th></th>
              <th style="width: 40px"></th>
            </tr>
            <tr th:each="dataEmployesLoan,row : ${listEmployesLoan}">
              <td th:text="${(row.index + 1) + (listEmployesLoan.number * listEmployesLoan.size)}">1.</td>
              <td th:text="${dataEmployesLoan.getLoan().getName()}">BEASISWA</td>
              <td th:text="${dataEmployesLoan.getEmployes().getFullName()}">BEASISWA</td>
              <td th:text="${#numbers.formatDecimal(dataEmployesLoan.getAmount(), 0, 'POINT', 2, 'COMMA')}">BEASISWA</td>
              <td th:text="${dataEmployesLoan.getInstallment()}">BEASISWA</td>
              <td th:text="${dataEmployesLoan.getInterest()+'%'}">BEASISWA</td>
              <td th:text="${#temporals.format(dataEmployesLoan.getEffectiveDate(),'dd-MMM-yyyy')}">BEASISWA</td>
              <td th:text="${dataEmployesLoan.getStatus()}">BEASISWA</td>
              <td>
                <a th:href="@{/finance/loan/history(loan=${dataEmployesLoan.id},search=${search})}" class="btn btn-xs btn-success">Detail</a>
              </td>
              <td>
                <a th:if="${dataEmployesLoan.getStatus().toString().equals('AKTIF')}" th:href="@{/finance/loan/edit(employeeLoan=${dataEmployesLoan.id})}" class="btn btn-xs btn-primary">Edit</a>
              </td>
              <td>

                <form th:if="${dataEmployesLoan.getStatus().toString().equals('AKTIF')}" method="post" th:action="@{/finance/loan/delete(employeeLoan=${dataEmployesLoan.id})}">
                  <button th:if="${dataEmployesLoan.getStatus().toString().equals('AKTIF')}" type="submit" class="btn btn-danger btn-xs"
                          onclick="return confirm('Are you sure want to delete this?')">
                    Delete
                  </button>
                </form>
              </td>
            </tr>

            <tr>
              <th style="width: 10px">#</th>
              <th>Loan_Name</th>
              <th>Employee</th>
              <th>Loan_Ammount</th>
              <th>Installment</th>
              <th>Interest</th>
              <th>Effective Date</th>
              <th style="width: 40px"></th>
            </tr>


          </table>
        </div>
        <!-- /.box-body -->
        <div class="box-footer clearfix">
          <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
            <li class="disabled"><a href="#" aria-label="Previous"><span
                    aria-hidden="true">&laquo;</span></a>
            </li>
            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
            </li>
          </ul>
        </div>
      </div>
      <!-- /.box -->
    </div>
  </div>
</section>
</body>
</html>